Mailmus

Domains

GET
/projects/{projectId}/domains

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/domains"
[  {    "id": "string",    "domain": "mail.exemple.com",    "status": "PENDING",    "dkimTokens": [      "string"    ],    "spfVerified": true,    "dkimVerified": true,    "dmarcVerified": true,    "verifiedAt": "2019-08-24T14:15:22Z",    "appId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/domains

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/domains" \  -H "Content-Type: application/json" \  -d '{    "domain": "mail.yourdomain.com"  }'
{  "id": "string",  "domain": "mail.exemple.com",  "status": "PENDING",  "dkimTokens": [    "string"  ],  "spfVerified": true,  "dkimVerified": true,  "dmarcVerified": true,  "verifiedAt": "2019-08-24T14:15:22Z",  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
GET
/projects/{projectId}/domains/{id}/blocklist-status

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/domains/string/blocklist-status"
[  {    "id": "string",    "listName": "Spamhaus ZEN",    "listed": true,    "firstListedAt": "2019-08-24T14:15:22Z",    "lastCheckedAt": "2019-08-24T14:15:22Z",    "subjectValue": "string"  }]
POST
/projects/{projectId}/domains/{id}/verify

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X POST "https://example.com/projects/string/domains/string/verify"
{  "id": "string",  "domain": "mail.exemple.com",  "status": "PENDING",  "dkimTokens": [    "string"  ],  "spfVerified": true,  "dkimVerified": true,  "dmarcVerified": true,  "verifiedAt": "2019-08-24T14:15:22Z",  "appId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/domains/{id}

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/domains/string"
{  "deleted": true}